NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::SheetMetal::LouverBuilder Class Reference

Represents a louver feature builder. More...

Inheritance diagram for NXOpen::Features::SheetMetal::LouverBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  DepthSideOptions { DepthSideOptionsSectionNormalSide, DepthSideOptionsSectionReverseNormalSide }
 This enum represents the depth side for the louver. More...
 
enum  EndTypeOptions { EndTypeOptionsFormed, EndTypeOptionsLanced }
 This enum represents the end type for the louver. More...
 
enum  SectionSideOptions { SectionSideOptionsLeft, SectionSideOptionsRight }
 This enum represents the side of the section that the louver width is measured. More...
 

Public Member Functions

NXOpen::ExpressionDepth ()
 Returns the depth of the louver
Created in NX4.0.0. More...
 
NXOpen::Features::SheetMetal::LouverBuilder::DepthSideOptions DepthSide ()
 Returns the depth side for the louver. More...
 
NXOpen::ExpressionDieRadius ()
 Returns the die radius. More...
 
NXOpen::Features::SheetMetal::LouverBuilder::EndTypeOptions EndType ()
 Returns the end type for the louver. More...
 
bool IncludeRounding ()
 Returns the option to round the edges of the louver using the die radius. More...
 
NXOpen::ExpressionMinimumToolClearance ()
 Returns the minimum tool clearance expression. More...
 
NXOpen::SectionSection ()
 Returns the section used by the louver. More...
 
NXOpen::Features::SheetMetal::LouverBuilder::SectionSideOptions SectionSide ()
 Returns the side of the section on which the louver is created and width is measure. More...
 
void SetDepth (const NXString &depth)
 
More...
 
void SetDepth (const char *depth)
 
More...
 
void SetDepthSide (NXOpen::Features::SheetMetal::LouverBuilder::DepthSideOptions depthSide)
 Sets the depth side for the louver. More...
 
void SetDieRadius (const NXString &dieRadius)
 
More...
 
void SetDieRadius (const char *dieRadius)
 
More...
 
void SetEndType (NXOpen::Features::SheetMetal::LouverBuilder::EndTypeOptions endType)
 Sets the end type for the louver. More...
 
void SetIncludeRounding (bool includeRounding)
 Sets the option to round the edges of the louver using the die radius. More...
 
void SetSection (NXOpen::Section *section)
 Sets the section used by the louver. More...
 
void SetSectionSide (NXOpen::Features::SheetMetal::LouverBuilder::SectionSideOptions sectionSide)
 Sets the side of the section on which the louver is created and width is measure. More...
 
void SetSketch (NXOpen::Features::SketchFeature *sketch)
 Sets the internal sketch used by the louver's section. More...
 
void SetWidth (const NXString &width)
 
More...
 
void SetWidth (const char *width)
 
More...
 
NXOpen::Features::SketchFeatureSketch ()
 Returns the internal sketch used by the louver's section. More...
 
int ValidateBuilderData ()
 This method verifies that the builder data is valid for louver creation. More...
 
NXOpen::ExpressionWidth ()
 Returns the width of the louver. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a louver feature builder.


To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateLouverFeatureBuilder

Created in NX4.0.0.

Member Enumeration Documentation

This enum represents the depth side for the louver.

Enumerator
DepthSideOptionsSectionNormalSide 

Material added on the side of the section normal.

DepthSideOptionsSectionReverseNormalSide 

Material added on the side opposite to that of the section normal.

This enum represents the end type for the louver.

Enumerator
EndTypeOptionsFormed 

formed

EndTypeOptionsLanced 

lanced

This enum represents the side of the section that the louver width is measured.

The "left" option represents the side to the left of a person who is walking along the section in the direction of its curves when the section normal is pointing up. The "right" option represents the person's right hand side. The "right" side at any point along the section can also be represented by the vector resulting from the cross product of the curve tangent (of the section curve at that point) and the section normal. The "left" side is the opposite.

Enumerator
SectionSideOptionsLeft 

Side pointed to by the inverse of the tangent cross normal vector.

SectionSideOptionsRight 

Side pointed to by the tangent cross normal vector.

Member Function Documentation

NXOpen::Expression* NXOpen::Features::SheetMetal::LouverBuilder::Depth ( )

Returns the depth of the louver
Created in NX4.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::LouverBuilder::DepthSideOptions NXOpen::Features::SheetMetal::LouverBuilder::DepthSide ( )

Returns the depth side for the louver.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::LouverBuilder::DieRadius ( )

Returns the die radius.

Not used if NXOpen::Features::SheetMetal::LouverBuilder::IncludeRounding is false.
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::LouverBuilder::EndTypeOptions NXOpen::Features::SheetMetal::LouverBuilder::EndType ( )

Returns the end type for the louver.

Select lanced end or formed end from NXOpen::Features::SheetMetal::LouverBuilder::EndTypeOptions .


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

bool NXOpen::Features::SheetMetal::LouverBuilder::IncludeRounding ( )

Returns the option to round the edges of the louver using the die radius.

If this is false, then the value of NXOpen::Features::SheetMetal::LouverBuilder::DieRadius is not used.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Expression* NXOpen::Features::SheetMetal::LouverBuilder::MinimumToolClearance ( )

Returns the minimum tool clearance expression.


Created in NX6.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Section* NXOpen::Features::SheetMetal::LouverBuilder::Section ( )

Returns the section used by the louver.

The section should be open.
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

NXOpen::Features::SheetMetal::LouverBuilder::SectionSideOptions NXOpen::Features::SheetMetal::LouverBuilder::SectionSide ( )

Returns the side of the section on which the louver is created and width is measure.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

void NXOpen::Features::SheetMetal::LouverBuilder::SetDepth ( const NXString depth)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::LouverBuilder::Depth instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
depthdepth
void NXOpen::Features::SheetMetal::LouverBuilder::SetDepth ( const char *  depth)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::LouverBuilder::Depth instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
depthdepth
void NXOpen::Features::SheetMetal::LouverBuilder::SetDepthSide ( NXOpen::Features::SheetMetal::LouverBuilder::DepthSideOptions  depthSide)

Sets the depth side for the louver.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
depthSidedepth side
void NXOpen::Features::SheetMetal::LouverBuilder::SetDieRadius ( const NXString dieRadius)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::LouverBuilder::DieRadius instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
dieRadiusdie radius
void NXOpen::Features::SheetMetal::LouverBuilder::SetDieRadius ( const char *  dieRadius)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::LouverBuilder::DieRadius instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
dieRadiusdie radius
void NXOpen::Features::SheetMetal::LouverBuilder::SetEndType ( NXOpen::Features::SheetMetal::LouverBuilder::EndTypeOptions  endType)

Sets the end type for the louver.

Select lanced end or formed end from NXOpen::Features::SheetMetal::LouverBuilder::EndTypeOptions .


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
endTypeend type
void NXOpen::Features::SheetMetal::LouverBuilder::SetIncludeRounding ( bool  includeRounding)

Sets the option to round the edges of the louver using the die radius.

If this is false, then the value of NXOpen::Features::SheetMetal::LouverBuilder::DieRadius is not used.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
includeRoundinginclude rounding
void NXOpen::Features::SheetMetal::LouverBuilder::SetSection ( NXOpen::Section section)

Sets the section used by the louver.

The section should be open.
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
sectionsection
void NXOpen::Features::SheetMetal::LouverBuilder::SetSectionSide ( NXOpen::Features::SheetMetal::LouverBuilder::SectionSideOptions  sectionSide)

Sets the side of the section on which the louver is created and width is measure.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
sectionSidesection side
void NXOpen::Features::SheetMetal::LouverBuilder::SetSketch ( NXOpen::Features::SketchFeature sketch)

Sets the internal sketch used by the louver's section.


If the sketch is created internally as part of the louver command in the UI, then it is consumed by the louver and does not show up as a separate feature in the part navigator. By setting the sketch object here, you will be making it internal to the louver feature.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
sketchsketch
void NXOpen::Features::SheetMetal::LouverBuilder::SetWidth ( const NXString width)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::LouverBuilder::Width instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
widthwidth
void NXOpen::Features::SheetMetal::LouverBuilder::SetWidth ( const char *  width)


Deprecated:
Deprecated in NX10.0.0.

Use NXOpen::Expression::SetRightHandSide on the NXOpen::Expression object returned from NXOpen::Features::SheetMetal::LouverBuilder::Width instead.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

Parameters
widthwidth
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::LouverBuilder::Sketch ( )

Returns the internal sketch used by the louver's section.


If the sketch is created internally as part of the louver command in the UI, then it is consumed by the louver and does not show up as a separate feature in the part navigator. By setting the sketch object here, you will be making it internal to the louver feature.


Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")

int NXOpen::Features::SheetMetal::LouverBuilder::ValidateBuilderData ( )

This method verifies that the builder data is valid for louver creation.


If the builder data is valid, it returns a value of 0.

Returns
data validity flag
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")
NXOpen::Expression* NXOpen::Features::SheetMetal::LouverBuilder::Width ( )

Returns the width of the louver.

The side of the section that the width is measured from depends on the value of the section side (see NXOpen::Features::SheetMetal::LouverBuilder::SectionSide ).
Created in NX4.0.0.

License requirements : nx_sheet_metal ("NX Sheet Metal")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.